Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deResourceBase Class Reference

inherit from this class instead of IdeResourceBase to get basic functionality implemented More...

`#include <deResource_Helper.hpp>`

Inheritance diagram for deResourceBase:

[legend]
Collaboration diagram for deResourceBase:

[legend]
List of all members.

## Public Member Functions
deBoolean | IsDirty (void)
| tells whether or not the object has been modified since it was loaded from file
const char * | GetFilename (void)
| Returns: pointer to the object's internal name entry
void | GetFilenameBuffer (char *buffer, long buffersize)
IdeResourceBase * | MakeCopy ()=0
| create a copy of the object in memory
void * | GetRscInterface (long interface_id)
## Protected Member Functions
virtual | ~deResourceBase (void)
| deResourceBase (const char *filename)
| deResourceBase ()
void | SetDirty ()
deBoolean | RemoveMe (void)
## Private Member Functions
void | SetHash (void *HashTable)
void | SetManager (IdeResourceManager *Manager)
void * | GetHash (void)
IdeResourceManager * | GetManager (void)
## Private Attributes
char | m_Filename [256]
deBoolean | m_Dirty
void * | m_HashTable
IdeResourceManager * | m_Manager

## Detailed Description

inherit from this class instead of IdeResourceBase to get basic functionality implemented

## Constructor & Destructor Documentation

virtual deResourceBase::~deResourceBase | ( | void |  | ) | `[inline, protected, virtual]`

deResourceBase::deResourceBase | ( | const char * | filename | ) | `[inline, protected]`

deResourceBase::deResourceBase | ( |  | ) | `[inline, protected]`

## Member Function Documentation

const char* deResourceBase::GetFilename | ( | void |  | ) | `[inline, virtual]`

| Returns: pointer to the object's internal name entry Implements IdeResourceBase.

void deResourceBase::GetFilenameBuffer | ( | char * | buffer,
|  | long | buffersize
| ) | `[inline, virtual]`

| fills buffer with the filename of the object, until the entire name is stored or 'buffersize' characters are written Implements IdeResourceBase.

void* deResourceBase::GetHash | ( | void |  | ) | `[inline, private, virtual]`

| Implements IdeResourceBase.

IdeResourceManager* deResourceBase::GetManager | ( | void |  | ) | `[inline, private, virtual]`

| Implements IdeResourceBase.

void* deResourceBase::GetRscInterface | ( | long | interface_id | ) | `[inline, virtual]`

  | Used to retrieve a pointer to an interface registered through IdeResourceManager. Returns: NULL or a valid pointer to an interface supported by this object Parameters:
  interface_id | A value previously retrieved through IdeResourceManager::GetUniqueInterfaceID
Implements IdeResourceBase. Reimplemented in deActorDef, deAnimatedMesh, deBitmap, deWAV, deWorld, and CTestResource.

deBoolean deResourceBase::IsDirty | ( | void |  | ) | `[inline, virtual]`

| tells whether or not the object has been modified since it was loaded from file Implements IdeResourceBase.

IdeResourceBase* deResourceBase::MakeCopy | ( |  | ) | `[pure virtual]`

| create a copy of the object in memory Implements IdeResourceBase. Implemented in deAnimatedMesh, deBitmap, deOGG, deWAV, deWorld, and CTestResource.

deBoolean deResourceBase::RemoveMe | ( | void |  | ) | `[inline, protected]`

void deResourceBase::SetDirty | ( |  | ) | `[inline, protected]`

void deResourceBase::SetHash | ( | void * | HashTable | ) | `[inline, private, virtual]`

| Implements IdeResourceBase.

void deResourceBase::SetManager | ( | IdeResourceManager * | Manager | ) | `[inline, private, virtual]`

| Implements IdeResourceBase.

## Member Data Documentation

deBoolean deResourceBase::m_Dirty`[private]`

char deResourceBase::m_Filename[256]`[private]`

void* deResourceBase::m_HashTable`[private]`

IdeResourceManager* deResourceBase::m_Manager`[private]`

The documentation for this class was generated from the following file:

- deResource_Helper.hpp